###
# Copyright (c) 2025, Stormux
#
# This plugin is licensed under the same terms as Limnoria itself.
###

import supybot.conf as conf
import supybot.registry as registry

def configure(advanced):
    # This will be called by supybot to configure this module.
    from supybot.questions import expect, anything, something, yn
    conf.registerPlugin('Greet', True)

Greet = conf.registerPlugin('Greet')

conf.registerChannelValue(Greet, 'enabled',
    registry.Boolean(False, """Determines whether greetings are enabled for a channel."""))

conf.registerChannelValue(Greet, 'message',
    registry.String('', """The greeting message to be sent to the channel."""))

conf.registerChannelValue(Greet, 'timeout',
    registry.PositiveInteger(3, """The number of seconds to wait after a join
                                  before sending a greeting."""))

# vim:set shiftwidth=4 softtabstop=4 expandtab textwidth=79:
