###
# Copyright (c) 2025, Stormux
#
# This plugin is licensed under the same terms as Limnoria itself.
###

from supybot.test import *

class GreetTestCase(PluginTestCase):
    plugins = ('Greet',)

    def testGreet(self):
        # Set a greeting message
        self.assertNotError('greet #test Hello, world!')
        # Check if it's enabled
        self.assertRegexp('greetstatus #test', 'enabled')
        # Disable it
        self.assertNotError('greetoff #test')
        # Check if it's disabled
        self.assertRegexp('greetstatus #test', 'disabled')
        # Enable it again
        self.assertNotError('greeton #test')
        # Check if it's enabled
        self.assertRegexp('greetstatus #test', 'enabled')
        # Clear it
        self.assertNotError('greetclear #test')
        # Check if it's cleared and disabled
        self.assertRegexp('greetstatus #test', 'disabled')

    def testTimeout(self):
        # Set a timeout
        self.assertNotError('greettimeout #test 5')
        # Check if it's set
        self.assertRegexp('greetstatus #test', '5 seconds')

    def testTestAndTrigger(self):
        # Set a greeting message
        self.assertNotError('greet #test Hello, world!')
        # Test it
        self.assertNotError('greettest #test')
        # Since we can't really test greettrigger in a unit test (it's
        # time-based)
        # we'll just check if the command is recognized
        # Owner-only commands can't be tested directly here

# vim:set shiftwidth=4 softtabstop=4 expandtab textwidth=79:
